#include "afflib.h"			
#include "afflib_i.h"			// grab the internal versions
#include "aimage.h"
#include "imager.h"

#include "ident.h"

ident::ident(int fd_)
{
    fd = fd_;
    filename = 0;
}

ident::ident(const char *fn)
{
    filename = strdup(fn);
    fd = open(filename,O_RDONLY,0666);
    opened = true;
}

ident::~ident()
{
    if(opened) close(fd);
    if(filename) free(filename);
}


/* is_scsi:
 * If we were given a filename, check to see if this is a scsi device and,
 * if it is, set all of the various values.
 */
char *ident::append(char *base,char *add)
{
    if(base==0){
	base = (char *)malloc(1);
	base[0] = 0;
	return base;
    }

    base = (char *)realloc(base,strlen(base)+strlen(add)+4);
    strcat(base,add);
    return base;
}


bool ident::is_scsi()
{
    return false;
}

bool ident::is_ata()
{
    return false;
}


#ifdef UNIX
#include "ident_unix.cpp"
#endif


#ifdef __FreeBSD__
#include "ident_freebsd.cpp"
#endif

#ifdef linux
#include "ident_linux.cpp"
#endif

#ifdef __APPLE__
#include "ident_apple.cpp"
#endif
